AplasAplas API Reference

List a view's styles

Read only — a style's layer payload moves with the map renderer.

GET
/workspaces/{workspaceId}/views/{viewId}/styles

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

workspaceId*string

The workspace's slug.

viewId*string

The view's slug.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.au.aplas.com/api/v3/workspaces/string/views/string/styles"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "isActive": true,
      "layers": [
        {}
      ]
    }
  ]
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}